# jQuery Auto Height

This module integrates the 'jQuery AutoHeight' plugin by
[monocult](https://github.com/monocult). It dynamically adjust column heights,
matching the biggest column in each Row.

For a full description of the module, visit the
[project page](https://www.drupal.org/project/auto_height).

Submit bug reports and feature suggestions, or track changes in the
[issue queue](https://www.drupal.org/project/issues/auto_height).


## Features

'jQuery AutoHeight' plugin is:

- Lightweight
- Responsive
- Customizable


## Requirements

- [Libraries API](https://www.drupal.org/project/libraries) module
- [jQuery AutoHeight](https://raw.githubusercontent.com/monocult/jquery-autoheight/master/jquery.autoheight.js) plugin


## Installation

1. Download [jQuery Auto Height](https://www.drupal.org/project/auto_height)
   module archive.
2. Extract and place it in the root modules directory i.e. /modules/auto_height.
3. Create a libraries directory in the root, if not already there i.e.
   `/libraries`.
4. Create a autoheight directory inside it i.e. `/libraries/autoheight`
5. Download [jQuery AutoHeight](https://raw.githubusercontent.com/monocult/jquery-autoheight/master/jquery.autoheight.js) plugin.
6. Place it in the /libraries/autoheight directory
   i.e. `/libraries/autoheight/jquery.autoheight.js`.
7. Now, enable 'jQuery Auto Height' module.


## Usage

Lets try to understand its usage with an example.

Here, there are 2 rows having 2 and 4 columns respectively. Varying content will
make these columns to have different heights in each row.

```
<div id="Row1">
  <div>There are many patterns..</div>
  <div>Lorem Ipsum is simply dummy text of the printing and typesetting..</div>
</div>

<div id="Row2">
  <div>The standard chunk of Lorem Ipsum..</div>
  <div>Cicero are also reproduced in their exact original form, accompanied by
  English versions..</div>
  <div>All the Lorem Ipsum generators on the Internet tend to..</div>
  <div>The generated Lorem Ipsum is therefore always free from repetition,
  injected humour, or non-characteristic..</div>
</div>
```

This is where 'jQuery Auto Height' module comes into the picture.


## How it works

1. Just assign same class to all columns in a Row as below.

```
<div id="Row1">
  <div class="box1">There are many patterns..</div>
  <div class="box1">Lorem Ipsum is simply dummy text of the printing and
  typesetting..</div>
</div>

<div id="Row2">
  <div class="box2">The standard chunk of Lorem Ipsum..</div>
  <div class="box2">Cicero are also reproduced in their exact original form,
  accompanied by English versions..</div>
  <div class="box2">All the Lorem Ipsum generators on the Internet tend to..
  </div>
  <div class="box2">The generated Lorem Ipsum is therefore always free from
  repetition, injected humour, or non-characteristic..</div>
</div>
```

2. Now, go to the module's configuration page: `/admin/config/media/auto_height`
3. Here, add the respective jQuery class selectors from STEP 1 (each one in a
   new line).
   e.g.,

   .box1

   .box2

4. Save configuration. That's it!

'jQuery Auto Height' module will now dynamically adjust column heights, matching
the biggest column in each Row.


## Maintainers

- [Binu Varghese](https://www.drupal.org/u/binu-varghese)


## Demo

[Demo link](https://rawgit.com/monocult/jquery-autoheight/master/demo.html)
